package jalview.json.binding.biojson.v1;

import com.github.reinert.jjschema.Attributes;

public class AnnotationPojo
{
  @Attributes(
    required = false,
    description = "Display character for the given annotation")
  private String displayCharacter;

  @Attributes(
    required = false,
    description = "Description for the annotation")
  private String description;

  @Attributes(
    required = true,
    enums = { "E", "H", "\u0000", ")", "(" },
    description = "Determines what is rendered for the secondary </br>structure <ul><li>’E’ - indicates Beta Sheet/Strand <li>’H’ - indicates alpha helix </li><li> ‘\\u0000’ - indicates blank</li></ul></br>For RNA Helix (only shown when working with</br> nucleotide sequences): <ul><li> ‘(’ - indicates bases pair with columns upstream</br> (to right) </li><li> ’(’ - indicate region pairs with bases to the left</li></ul>")
  private char secondaryStructure;

  @Attributes(required = false, description = "Value of the annotation")
  private float value;

  public String getDisplayCharacter()
  {
    return displayCharacter;
  }

  public void setDisplayCharacter(String displayCharacter)
  {
    this.displayCharacter = displayCharacter;
  }

  public String getDescription()
  {
    return description;
  }

  public void setDescription(String description)
  {
    this.description = description;
  }

  public char getSecondaryStructure()
  {
    return secondaryStructure;
  }

  public void setSecondaryStructure(char secondaryStructure)
  {
    this.secondaryStructure = secondaryStructure;
  }

  public float getValue()
  {
    return value;
  }

  public void setValue(float value)
  {
    this.value = value;
  }

}
